---
title: How to create a new Checkpoint
---

import Preface from './components_how_to_create_a_new_checkpoint/_preface.mdx'
import StepsForCheckpoints from './components_how_to_create_a_new_checkpoint/_steps_for_checkpoints_.mdx'
import UseTheCliToOpenAJupyterNotebookForCreatingANewCheckpoint from './components_how_to_create_a_new_checkpoint/_use_the_cli_to_open_a_jupyter_notebook_for_creating_a_new_checkpoint.mdx'
import AEditTheConfiguration from './components_how_to_create_a_new_checkpoint/_a_edit_the_configuration.mdx'
import BTestYourConfigUsingContextTestYamlConfig from './components_how_to_create_a_new_checkpoint/_b_test_your_config_using_contexttest_yaml_config.mdx'
import CStoreYourCheckpointConfig from './components_how_to_create_a_new_checkpoint/_c_store_your_checkpoint_config.mdx'
import DOptionalCheckYourStoredCheckpointConfig from './components_how_to_create_a_new_checkpoint/_d_optional_check_your_stored_checkpoint_config.mdx'
import EOptionalTestRunTheNewCheckpointAndOpenDataDocs from './components_how_to_create_a_new_checkpoint/_e_optional_test_run_the_new_checkpoint_and_open_data_docs.mdx'
import AdditionalResources from './components_how_to_create_a_new_checkpoint/_additional_resources.mdx'

<Preface />

<StepsForCheckpoints />

## Steps (for Checkpoints in Great Expectations version >=0.13.12)

### 1. Use the CLI to open a Jupyter Notebook for creating a new Checkpoint
<UseTheCliToOpenAJupyterNotebookForCreatingANewCheckpoint />

### 2. Configure your SimpleCheckpoint (Example)

#### 2.1. Edit the configuration
<AEditTheConfiguration />

#### 2.2. Validate and test your configuration
<BTestYourConfigUsingContextTestYamlConfig />

### 3. Store your Checkpoint configuration
<CStoreYourCheckpointConfig />

### 4. (Optional) Check your stored Checkpoint config
<DOptionalCheckYourStoredCheckpointConfig />

### 5. (Optional) Test run the new Checkpoint and open Data Docs
<EOptionalTestRunTheNewCheckpointAndOpenDataDocs />

## Additional Resources
<AdditionalResources />
